Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.crm
Class SalesMan

    java.lang.Object
      com.knowgate.dataobjs.DBPersist
          com.knowgate.crm.SalesMan

All Implemented Interfaces:
  java.io.Serializable, java.util.Map

    public class SalesMan

extends DBPersist

Sales Man

Copyright: Copyright (c) KnowGate 2003

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary
`static short` | `ClassId`

Fields inherited from class com.knowgate.dataobjs.DBPersist
`AllVals, sAuditCls, sAuditUsr, sTransactId`

Constructor Summary
`SalesMan()`

Method Summary
`boolean` | `delete(JDCConnection oConn)` Delete sales man.
`static boolean` | `delete(JDCConnection oConn, java.lang.String sSalesManGUID)` Delete sales man This method calls k_sp_del_sales_man stored procedure
`static boolean` | `exists(JDCConnection oConn, java.lang.String sSalesManGUID)` Get whether a user exists as a sales man or not
`ACLUser` | `getUser()` Get user for this sales man
`boolean` | `load(JDCConnection oConn, java.lang.Object[] PKVals)` Load sales man and initialize internal user instance
`boolean` | `store(JDCConnection oConn)` Store sales man This method initializes internal user inctance if it was not previously set

Methods inherited from class com.knowgate.dataobjs.DBPersist
`allcaps, allcaps, changelog, clear, clone, containsKey, containsValue, entrySet, exists, get, get, getAuditClassName, getCreationDate, getDate, getDateFormated, getDateShort, getDateTime, getDateTime24, getDecimal, getDecimalFormated, getDecimalFormated, getDouble, getDoubleFormated, getFloat, getFloatFormated, getInt, getInteger, getIntervalPart, getItemMap, getItems, getMoney, getShort, getSQLDate, getSQLTime, getString, getStringHtml, getStringNull, getTable, getTable, getTableName, getTime, getTimeOfDay, getTimestamp, getUIdFromName, isEmpty, isNull, iterator, keySet, load, parseXML, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, putAll, putAll, remove, remove, replace, replace, replace, replace, replace, replace, replace, replace, setAuditTransact, setAuditUser, setCreationDate, size, toLowerCase, toUpperCase, toXML, toXML, toXML, toXML, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### ClassId

    public static final short ClassId

See Also:
  Constant Field Values

Constructor Detail

### SalesMan

    public SalesMan()

Method Detail

### getUser

    public ACLUser getUser()

  Get user for this sales man

  Returns:
    ACLUser

### load

    public boolean load(JDCConnection oConn,
                        java.lang.Object[] PKVals)
                 throws java.sql.SQLException

  Load sales man and initialize internal user instance

  Overrides:
    `load` in class `DBPersist`
  Parameters:
    `oConn` - JDCConnection
    `PKVals` - Object[]
  Returns:
    boolean
  Throws:
    `java.sql.SQLException`

### store

    public boolean store(JDCConnection oConn)
                  throws java.sql.SQLException

  Store sales man

  This method initializes internal user inctance if it was not previously set

  Overrides:
    `store` in class `DBPersist`
  Parameters:
    `oConn` - JDCConnection
  Returns:
    boolean
  Throws:
    `java.sql.SQLException`

### delete

    public boolean delete(JDCConnection oConn)
                   throws java.sql.SQLException

  Delete sales man.

  Overrides:
    `delete` in class `DBPersist`
  Parameters:
    `oConn` - Database connection
  Returns:
    true if register was successfully erased, false if not.
  Throws:
    `java.sql.SQLException`

### delete

    public static boolean delete(JDCConnection oConn,
                                 java.lang.String sSalesManGUID)
                          throws java.sql.SQLException

  Delete sales man

  This method calls k_sp_del_sales_man stored procedure

  Parameters:
    `oConn` - JDCConnection
    `sSalesManGUID` - String GUID of sales man to be deleted
  Returns:
    boolean
  Throws:
    `java.sql.SQLException`

### exists

    public static boolean exists(JDCConnection oConn,
                                 java.lang.String sSalesManGUID)
                          throws java.sql.SQLException

  Get whether a user exists as a sales man or not

  Parameters:
    `oConn` - JDCConnection
    `sSalesManGUID` - String sales man GUID
  Returns:
    boolean true if a record with gu_sales_man=sSalesManGUID exists at table k_sales_men, false otherwise
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD